- MongoDB C Driver 1.9.3-dev »
- API Reference »
- mongoc_gridfs_t

# mongoc_gridfs_find()

## Deprecated

This function is deprecated, use mongoc_gridfs_find_with_opts() instead.

## Synopsis

    mongoc_gridfs_file_list_t *
    mongoc_gridfs_find (mongoc_gridfs_t *gridfs, const bson_t *query)
       BSON_GNUC_DEPRECATED_FOR (mongoc_gridfs_find_with_opts);

## Parameters

- `gridfs`: A mongoc_gridfs_t.
- `query`: A `bson_t`.

## Description

Finds all gridfs files matching `query`. You can iterate the matched gridfs files with the resulting file list.

## Returns

A newly allocated mongoc_gridfs_file_list_t that should be freed with mongoc_gridfs_file_list_destroy() when no longer in use.

Created using Sphinx 1.6.6, based on Sphinx Readable Theme.